> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get connected fields tab groups

GET https://api-d.docusign.com/v1/accounts/{accountId}/connected-fields/tab-groups

Returns all tabs associated with the given account.

**Note**: Unlike the Connected Fields UI, this endpoint returns only fields that are either mandatory or have the **IsRequiredForVerifyingType** decorator

[Required scopes](/docs/connected-fields-api/auth): `signature`, `adm_store_unified_repo_read`

Reference: https://developers.docusign.com/docs/connected-fields-api/reference/connectedfields/tabinfo/getconnectedfieldstabgroups

## Authentication

- `Authorization` header (bearer token, required) — JWT Bearer token from Docusign authorization server,

## Servers

- `https://api-d.docusign.com/v1` (Demo, default)
- `https://api.docusign.com/v1` (Production)

## Request

### Path parameters

- `accountId` (string, required)

### Query parameters

- `appId` (string, optional)

## Response

### 200

Successful response

- `list of TabInfo`

## Errors

### 400 Bad Request Error

Bad Request

- `code` (string, optional, nullable)
- `message` (string, optional, nullable)

### 401 Unauthorized Error

Unauthorized - Authentication is required

- `code` (string, optional, nullable)
- `message` (string, optional, nullable)

## Types

### TabInfo

- `appId` (string, required) — Unique ID of the installed extension app
- `tabs` (list of Tab, required) — Tab data representing the tabs associated with installed apps in the account

### Tab

- `extensionData` (TabExtensionData, required)
- `tabType` (string, required) — Indicates the type of tab
- `tabLabel` (string, required) — The label associated to a verification field in a document.
- `validationPattern` (string, optional) — A regular expression used to validate input for the tab.
- `validationMessage` (string, optional) — The message displayed if the custom tab fails input validation
- `radios` (list of string, optional) — The radio button properties for the tab (if the tab is of radio type)

### TabExtensionData

- `extensionGroupId` (string, required) — A unique UUID for each tab group. Tabs associated with the same model or concept will share the same extensionGroupId.
- `actionInputKey` (string, required) — Determines input data key required for data verification.
- `requiredForExtension` (boolean, required) — A boolean value that indicates if the field must pass verification to sign the document.
- `extensionPolicy` (enum, optional) — Indicates if the field is required to sign the document
  - Allowed values: `None`
- `publisherName` (string, optional) — Publisher of the extension app.
- `applicationName` (string, optional) — Name of the extension app.
- `actionName` (string, optional) — Name of an action in an extension app.
- `extensionContract` (string, optional) — Indicates the template that defines an extension.
- `actionContract` (string, optional) — Indicates the template defining an action.
- `extensionName` (string, optional) — Name of the extension.
- `connectionInstances` (list of TabConnectionInstance, optional) — Array representing the extension app connection name and instance.
- `connectedFieldsData` (TabConnectedFieldsData, optional)

### TabConnectionInstance

- `connectionKey` (string, required) — Identifies an extension app's unique connection key.
- `connectionValue` (string, required) — Identifies an extension app's connection instance.

### TabConnectedFieldsData

- `typeSystemNamespace` (string, required) — The fully qualified namespace for the type system being verified.
- `typeName` (string, required) — Name of the type being verified.
- `supportedOperation` (enum, required) — The operation that the field supports.
  - Allowed values: `VerifyType`
- `propertyName` (string, required) — The name of the individual field being verified.
- `supportedUri` (string, required) — Indicates the type verification url of the field.

## Examples

**Response**

```json
[
  {
    "appId": "string",
    "tabs": [
      {
        "extensionData": {
          "extensionGroupId": "string",
          "actionInputKey": "string",
          "requiredForExtension": true,
          "extensionPolicy": "None",
          "publisherName": "string",
          "applicationName": "string",
          "actionName": "string",
          "extensionContract": "string",
          "actionContract": "string",
          "extensionName": "string",
          "connectionInstances": [
            {
              "connectionKey": "string",
              "connectionValue": "string"
            }
          ],
          "connectedFieldsData": {
            "typeSystemNamespace": "string",
            "typeName": "string",
            "supportedOperation": "VerifyType",
            "propertyName": "string",
            "supportedUri": "string"
          }
        },
        "tabType": "string",
        "tabLabel": "string",
        "validationPattern": "string",
        "validationMessage": "string",
        "radios": [
          "string"
        ]
      }
    ]
  }
]
```